/*
 * TableChangeListener.java    1.0 97/08/28
 *
 * Copyright (c) 1997 Netscape Communications Corporation
 *
 * Netscape grants you a non-exclusive, royalty free, license to use,
 * modify and redistribute this software in source and binary code form,
 * provided that i) this copyright notice and license appear on all copies of
 * the software; and ii) Licensee does not utilize the software in a manner
 * which is disparaging to Netscape.
 *
 * This software is provided "AS IS," without a warranty of any kind.
 * See the CDK License Agreement for additional terms and conditions.
 * created: 2/97 cls
 */

package netscape.peas;




/**
 * Listener interface capable of receiving TableChangeEvent s.  This interface
 * can also receive RowChangeEvent s and PropertyChangeEvent s.  This allows
 * users of Components to wire at the highest level, and still allows the
 * implemenation to send "lower level" events in a consistent manner.
 */
public interface TableChangeListener extends RowChangeListener {

    /**
     * Accept a TableChangeEvent.
     */
    void tableChange( TableChangeEvent oEvent );

} // TableChangeListener
